import { ResourceAccessAcceptor, SsmEnvironmentEntry } from '@aws-amplify/plugin-types';
import { FunctionEnvironmentTranslator } from './function_env_translator.js';
import { AmplifyFunctionBase } from './function_construct_base.js';
import { Policy } from 'aws-cdk-lib/aws-iam';
/**
 * A function resource acceptor.
 */
export declare class FunctionResourceAccessAcceptor implements ResourceAccessAcceptor {
    private readonly func;
    private readonly functionEnvironmentTranslator?;
    readonly identifier: string;
    /**
     * Creates function resource acceptor.
     */
    constructor(func: AmplifyFunctionBase, functionEnvironmentTranslator?: FunctionEnvironmentTranslator | undefined);
    acceptResourceAccess: (policy: Policy, ssmEnvironmentEntries: SsmEnvironmentEntry[]) => void;
}
//# sourceMappingURL=resource_access_acceptor.d.ts.map